Bug 25677 - Checkbox options for EDI accounts cannot be enabled
Summary: Checkbox options for EDI accounts cannot be enabled
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Acquisitions (show other bugs)
Version: master
Hardware: All All
: P5 - low major (vote)
Assignee: Kyle M Hall
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks: 25687
  Show dependency treegraph
 
Reported: 2020-06-04 18:43 UTC by Kyle M Hall
Modified: 2020-11-30 21:52 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Text to go in the release notes:
Version(s) released in:
20.11.00, 20.05.x, 19.11.07, 19.05.12


Attachments
Bug 25677 - Checkbox options for EDI accounts cannot be enabled (3.98 KB, patch)
2020-06-04 18:48 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 25677 - Checkbox options for EDI accounts cannot be enabled (4.03 KB, patch)
2020-06-04 19:41 UTC, Andrew Fuerste-Henry
Details | Diff | Splinter Review
Bug 25677: Checkbox options for EDI accounts cannot be enabled (4.09 KB, patch)
2020-06-07 12:09 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Kyle M Hall 2020-06-04 18:43:50 UTC
Checking any of the checkboxes in the EDI Account editor does nothing. They always remain set to "off".
Comment 1 Kyle M Hall 2020-06-04 18:48:58 UTC
Created attachment 105563 [details] [review]
Bug 25677 - Checkbox options for EDI accounts cannot be enabled

Checking any of the checkboxes in the EDI Account editor does nothing.
They always remain set to "off".

Test Plan:
1) Browse to edi_accounts.pl
2) Create a new EDI account, check all the checkboxes
3) Edit the account, note none of the checkboxes are checked
4) Apply this patch
5) Repeat steps 1-2
6) Note the checkboxes remain checked
Comment 2 Andrew Fuerste-Henry 2020-06-04 19:41:36 UTC
Created attachment 105564 [details] [review]
Bug 25677 - Checkbox options for EDI accounts cannot be enabled

Checking any of the checkboxes in the EDI Account editor does nothing.
They always remain set to "off".

Test Plan:
1) Browse to edi_accounts.pl
2) Create a new EDI account, check all the checkboxes
3) Edit the account, note none of the checkboxes are checked
4) Apply this patch
5) Repeat steps 1-2
6) Note the checkboxes remain checked

Signed-off-by: Andrew Fuerste-Henry <andrew@bywatersolutions.com>
Comment 3 Katrin Fischer 2020-06-07 12:09:58 UTC
Created attachment 105614 [details] [review]
Bug 25677: Checkbox options for EDI accounts cannot be enabled

Checking any of the checkboxes in the EDI Account editor does nothing.
They always remain set to "off".

Test Plan:
1) Browse to edi_accounts.pl
2) Create a new EDI account, check all the checkboxes
3) Edit the account, note none of the checkboxes are checked
4) Apply this patch
5) Repeat steps 1-2
6) Note the checkboxes remain checked

Signed-off-by: Andrew Fuerste-Henry <andrew@bywatersolutions.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Jonathan Druart 2020-06-12 12:17:51 UTC
Pushed to master for 20.11, thanks to everybody involved!
Comment 5 Lucas Gass 2020-06-16 22:27:14 UTC
backported to 20.05.x for 20.05.01
Comment 6 Aleisha Amohia 2020-06-17 00:19:50 UTC
backported to 19.11.x for 19.11.07
Comment 7 Victor Grousset/tuxayo 2020-06-18 16:12:20 UTC
Backported to 19.05.x branch for 19.05.12